/*
**	Christophe Lucas <clucas@rotomalug.org>
**
**	This file is released under GPL terms.
*/

#include "sqcam.h"

static struct sensor_t hv7131r;


static int hv7131r_init(struct sqcam *cam)
{
	dev_info(&cam->udev->dev, "Not yet implemented.\n");
	return 0;
}

static int hv7131r_reset(struct sqcam* cam)
{
	printk(KERN_INFO "Resetting HV7131R sensor: No yet implemented.\n");
	return 0;
}

int sensor_hv7131r_probe(struct sqcam* cam)
{
	sqcam_attach_sensor(cam, &hv7131r);

	if (le16_to_cpu(hv7131r.udev->descriptor.idProduct) != 0x905c)
		return -ENODEV;

	dev_info(&cam->udev->dev, "HV7131R sensor detected.\n"
	return 0;
}

static struct sensor_t hv7131r = {
	.init = &hv7131r_init;
	.reset = &hv7131r_reset;
} ;

